      Entangle News
      =============

Release 3.0 - "Potassium" - 2020-06-14
--------------------------------------

 * Ensure picture directory is an absolute path
 * Add ability to flip image during preview
 * Fix warnings about string length
 * Convert appdata file to metainfo and add missing info
 * Another attempt to fix build deps on enum headers
 * Display remaining shot count & ETA in repeat shooter
   plugin
 * Remove use of deprecated GObject macros
 * Remove use of deprecated GLib APIs
 * Ensure glib min version checks at build time
 * Convert to use GObject macros for declaring boilerplate
 * Bulk reformat code using clang-format rules
 * Force a default filename pattern if setting is invalid
 * Validate filename pattern when updating preferences
 * Rename desktop file and icon file to match application ID
 * Add ability to render text mesages over image
 * Add a countdown timer for photobox plugin capture
 * Disable context menu in image browser when photobox plugin
   is active
 * Run live view when counting down to capturein photobox
   plugin
 * Fix crash releasing popup windows
 * Add context menu option for opening popup image window
 * Drop drag support for opening popup image window
 * Display greeting when opening popup image window
 * Display greeting when entering photobox plugin
 * Disable view finder after capturing image in preview mode


Release 2.0 - "Sodium" - 2019-01-13
-----------------------------------

 * Require gobject introspection >= 1.54
 * Require GTK3 >= 3.22
 * Fix dependency on libraw
 * Fix variable name in photobox plugin
 * Document some missing keyboard shortcuts
 * Fix upper bound in histogram to display clipped pixel
 * Refresh translations
 * Option to highlight over exposed pixels in red
 * Disable noisy compiler warning
 * Remove use of deprecated application menu concept
 * Fix image redraw when changing some settings
 * Update mailing list address in appdaat
 * Add more fields to appdata content
 * Fix reference counting during window close
 * Use correct API for destroying top level windows
 * Fix unmounting of cameras with newer gvfs URI naming
   scheme
 * Avoid out of bounds read of property values
 * Fix many memory leaks
 * Workaround for combo boxes not displaying on Wayland
 * Fix race condition in building enums
 * Fix setting of gschema directory during startup
 * Set env to ensure plugins can find introspection typelib


Release 1.0 - "Lithium" - 2017-10-10
------------------------------------

 * Requires Meson + Ninja build system instead of make
 * Switch to 2-digit version numbering
 * Fix corruption of display when drawing session browser
 * Register application actions for main operations
 * Compile UI files into binary
 * Add a custom application menu
 * Switch over to using header bar, instead of menu bar and
   tool bar.
 * Enable close button for about dialog
 * Ensure plugin panel fills preferences dialog
 * Tweak UI spacing in supported cameras dialog
 * Add keyboard shortcuts overlay


Release 0.7.2 - "Bottom" - 2017-08-25
-------------------------------------

 * Requires Gtk >= 3.10.0
 * Fix some introspection annotations
 * Use GdkSeat APIs if available
 * Use GtkOverlay and GtkRevealer in preference to custom
   widgets
 * Refactoring to prepare to support display of video files
 * Draw symbolic icons for video/image files while waiting
   for thumbnails to load
 * Ensure session highlight has a min 1 pixel visible border
 * Ensure session browser scrolls fully to right
 * Check for Adwaita icon theme which now includes symbolic
   icons
 * Remove left over check for DBus GLib
 * Remove use of deprecated GDK monitor functions
 * Remove use of deprecated GTK API for loading URIs
 * Fix handling of motion-notify event that broke client side
   window dragging
 * Fix warning when setting size of settings viewport
 * Update bug reporting address
 * Turn off over-zealous compiler warning about loop
   optimizations
 * Add ability to enter IP address of network camera
 * Fix URI pattern used to locate gphoto gvfs mounts
 * Add example plugin for bracketing photos of a total
   eclipse


Release 0.7.1 - "Top" - 2016-02-21
----------------------------------

 * Fix linking problem with strict linkers
 * Misc spelling fixes to online help docs
 * Replace use of GSimpleAsyncResult with GTask
 * Specify versions when importing from python plugins
 * Remove use of deprecated GTK APIs
 * Render image stats overlay partially transparent
 * Fix error reporting when saving settings
 * Flush events after capture to avoid accidentally
   restarting preview
 * Make Nikon fine focus stepping finer
 * Ensure images are sorted by last modified date
 * Switch from 128 px to 256 px thumbnail sizes to benefit
   larger high dpi screens
 * Rewrite film strip browser to dynamically resize icons to
   fit available space
 * Draw symbolic icons in film strip if image is not yet
   loaded
 * Refresh translations from Zanata


Release 0.7.0 - "Charm" - 2015-03-17
------------------------------------

 * Require GLib >= 2.36
 * Import new logo design
 * Switch to using zanata.org for translations
 * Set default window icon
 * Introduce an initial help manual via yelp
 * Use shared library for core engine to ensure all symbols
   are exported to plugins
 * Add framework for scripting capture operations
 * Workaround camera busy problems with Nikon cameras
 * Add a plugin for repeated capture sequences
 * Replace progress bar with spinner icon


Release 0.6.1 - "Strange" - 2015-02-05
--------------------------------------

 * Require GTK >= 3.4
 * Fix check for GIO package in configure
 * Add missing icons to Makefile
 * Follow freedesktop thumbnail standard storage location
 * Refactor capture code to facilitate plugin script
   automation
 * Fix bug causing plugin to be displayed more than once
 * Make histogram height larger
 * Strip trailing '2' from widget labels to be more friendly
 * Completely rewrite control panel display to show a small,
   user configurable subset from all the camera controls.
 * Remember custom list of camera controls per camera model
 * Hide compiler warnings from new glib atomic opertaions
 * Update to newer gnulib compiler warnings code
 * Remove broken double buffering code that's no required
   when using GTK3
 * Remove use of deprecated GtkMisc APis
 * Allow camera picker list to show multiple lines
 * Remove crufty broken code from session browser that was
   breaking with new GTK versions
 * Disable libraw auto brightness since it totally
   overexposes many images, generally making things look
   worse
 * Fix memory leak handling camera events
 * Add keywords to desktop & appdata files


Release 0.6.0 - "Down" - 2014-05-02
-----------------------------------

 * Add a demonstration plugin for setting up a captive photo
   box display mode
 * Switch to use Python3 for plugin engine instead of
   JavaScript
 * Use GTK dark theme
 * Require GNOME symbolic icon theme to be installed
 * Switch to require lcms2 instead of lcms
 * Move application icon into a standard directory mandated
   to work with the appdata tools
 * Make manual focus work with Canon EOS cameras
 * Disable flickering progress bar in preview mode with Canon
   EOS cameras
 * Remove use of deprecated GTK methods/classes/constants
 * Remove use of gexiv2 method which is not long exported
 * Remove use of deprecated libpeas methods
 * Add GTK-DOC transfer annotations / docs to all methods
 * Avoid loosing camera capabilities on disconnect
 * Fix off by one in histogram tables causing memory
   corruption
 * Mark appdata / desktop files for translation
 * Fix typos in README file
 * Fix inverted tests when checking if range widget changed
 * Avoid storm of expose events due to auto-drawer widget
 * Avoid never ending circular update of controls causing
   errors in some camera modes
 * Add workaround for crazy D5100 camera serial number
 * Add customizable highlight/background for images
 * Avoid reference leak of windows preventing proper cleanup
 * Remove camera manual/about/driver help windows since it
   did not contain any info useful to users
 * Filter list of cameras in connect dialog to only those
   which support capture/preview
 * Don't auto connect to cameras which don't support capture
   or preview
 * Ensure parent window is set on dialogs to prevent them
   falling behind main window
 * Fix crash with latest GTK due to incorrect overriding of
   GtkApplication startup method
 * Update to cope with changed GExiv API version
 * Refreshed translations from transifex


Release 0.5.4 - "Up" - 2013-12-15
---------------------------------

 * Ensure thumbnail directory exists when saving thumbnails
 * Fix memory leak generating thumbnails from raw images
 * Add an appdata XML file for GNOME software center
 * Create a dedicated camera actions menu
 * Fix include of gexiv2 header files
 * Fix image selection for onion skinning in preview mode
 * Display selected image when cancelling preview
 * Fix empty tooltips on capture/preview buttons
 * Fix scaling for preview image in onion skinning mode
 * Increase emphasis of top image in onion skinning mode
 * Improve granularity of manual focus and add extra '<' and
   '>' key accelerators for coarse focus
 * Fix leak of image exiting preview mode
 * Make progress toolbar button permanently visible


Release 0.5.3 - "Photon" - 2013-08-28
-------------------------------------

 * Move file name of image thumbnails to tooltip popup
 * Add --disable-schemas-compile configure arg to disable
   schema compilation
 * Remove "Encoding" key from desktop file
 * Fix massive memory leak in pixbuf loading
 * Fix thread safety in camera control updates which caused
   hangs in GTK
 * Fix updating of control readonly state when camera modes
   change


Release 0.5.2 - "Graviton" - 2013-08-17
---------------------------------------

 * Split histogram into RGB colour channels
 * Fix aperture / shutter speed calculations in status bar
 * Only import files with known image extensions
 * Use case insensitive file extension check to detect raw
   files
 * Set saner defaults for processing raw files to fix Canon
   raw display
 * Set preferences before loading session to fix settings for
   initial image load
 * Apply orientation from EXIF images if image file has none
 * Remove left over debug prints
 * Add support for linear histogram display mode
 * Support 'h' key to toggle linear/log histogram mode
 * Ensure all events are emitted in main thread
 * Remove use of deprecated GDK thread APIs
 * Use GtkGrid instead of deprecated GtkTable
 * Ensure status bar is constant size when scaling image
 * Preserve scrollbar offsets when switching images
 * Make metadata extraction more robust wrt missing fields
 * Updated translations from transifex


Release 0.5.1 - "W Boson" - 2012-03-12
--------------------------------------

 * Update for compatibility with libgphoto 2.5 API callbacks
 * Avoid warnings about deprecated glib2 mutex and condition
   variable APIs
 * Directly disable viewfinder mode using config APIs
 * Add support for triggering autofocus during preview with
   'a' key
 * Add support for manual focus drive in/out using '.' and
   ',' keys
 * Refresh translations from transifex
 * Import user contributed Italian translation
 * Add missing translation markers on some strings

Known issues:

 * Compile triggers deprecation warnings about Gdk threads
   API usage and GtkTable API usage. Harmless but to be
   addressed in next release.


Release 0.5.0 - "Z Boson" - 2012-12-16
--------------------------------------

 * Switch to using LibRaw for loading raw images
 * Allowing loading image preview from raw files
 * Fix deadlock unmounting camera at startup
 * Ensure camera is disconnected before exiting
 * Sort image list by name instead of date
 * Add support for rendering "onion skin" of image sequence
 * Fix updating of range control values
 * Fix filename generation for dual-format capture modes
 * Fix deletion of dual-format images when exiting preview
 * Refresh translations


Release 0.4.1 - "Gluon" - 2012-09-06
------------------------------------

 * Fix leak of image pixbufs when changing image in session
 * Keep toolbar directory in sync with session dir
 * Fix leak when displaying image popups
 * Fix leak when closing image popups
 * Fix key bindings in session browser
 * Add image histogram display
 * Load libpeas introspection data for plugins
 * Main plugin list in preferences
 * Add object type checking in all APIs
 * Fix image mask aspect ratio conversion to avoid locale
   problems
 * Fix build on GTK < 3.4
 * Remove obsolete conditionals from GTK 2.x days
 * Populate list of supported cameras in help menu dialog
 * Add a simple man page
 * Add accelerators for many menu options
 * Fix unref of cairo surface objects
 * Avoid GTK assertion when range is max-min is zero
 * Avoid crash in control panel when updating after camera
   disconnect


Release 0.4.0 - "Higgs Boson" - 2012-07-08
------------------------------------------

 * Better use of GtkApplication class
 * Add support for multiple windows & cameras
 * Add ability to sync capture/preview across windows
 * Add preference to control whether cameras autoconnect at
   startup
 * Add ability to apply aspect ratio masks to images
 * Add key bindings for common actions (see README)
 * Rewrite session browser widget to not use GtkIconView
 * Add popup menu with session browser to allow open and
   delete of captured images
 * Fix memory leak during preview
 * Fix memory leak in session browser widget
 * Add ability to DPMS-blank screen during capture for
   consistent lighting environment
 * Add ability to render a focus point during preview
 * Add ability to render grid lines during preview
 * Merge "New session" and "Open session" toolbar buttons
   into one "Select session" drop down / menu
 * Add custom icons for toolbar capture/preview buttons


Release 0.3.3 - "Muon neutrino" - 2012-04-25
--------------------------------------------

 * Fix deadlock when starting app with glib >= 2.32
 * Remove use of deprecated API calls
 * Remove use of deprecated GTK widgets
 * Fix debugging with glib >= 2.32
 * Fix creation of session browser widget to avoid warnings
 * Refresh translations
 * Fix check for glib-compile-schemas binary


Release 0.3.2 - "Muon" - 2012-04-03
-----------------------------------

 * Major code style cleanup
 * Mark all translatable strings in code & UI files
 * Register with Transifex for translations via Fedora team
 * Pull in translations (German, Polish, Ukrainian, Japanese:
   full, Spanish, Chinese: partial).
 * Add m4 macros for compiler warnings, missing from previous
   release dist.


Release 0.3.1 - "Tau neutrino" - 2012-02-13
-------------------------------------------

 * Fix crash in handling camera control combo lists
 * Add notice about need to set XDG_DATA_DIRS when installing
   into unusual directories
 * Add workaround to avoid immediate crash if schemas were
   not found in XDG_DATA_DIRS
 * Compile schema files after installation
 * Fix crash updating widget sensitivity
 * Fix crashes & race conditions during capture of images
 * Fix infinite preview error message popups which can hang
   the window manager
 * Fix crash when retrying a failed connection attempt
 * Fix thread locking when hiding status display
 * Avoid running multiple threads for monitoring status
 * Fix initial sensitivity of camera control panels
 * Update README with new URLs for bugs/mailing lists


Release 0.3.0 - "Tau" - 2011-11-28
----------------------------------

 * Switch to use Gtk3 for UI
 * Switch to use GSettings for preferences
 * Switch to use GtkBuilder for UI modelling
 * Always enable GObject introspection
 * Mandate libpeas for building
 * Use gexiv2 for extracting metadata from images
 * Rewrite internals for camera capture to be based on GIO
   async invocation, instead of explicitly using threads
 * Automatically detect change of config on camera and
   propagate to UI (probably only works with Nikon cameras)
 * Display basic image properties (aperture, iso, shutter
   speed, size and focal length) in a popup
 * Remove support for HAL, in favour of udev
 * Avoid 100% cpu burn with GVolumeMonitor / DBus bug
 * Remember last image directory across restarts
 * Default to $PICTURE_DIR/Capture for images, instead of
   creating a directory based on the camera model name
 * Keep display of images in session even when no camera is
   connected
 * Remove "Other PTP properties" from control panel to make
   the UI more scalable & improve speed of loading the UI
 * Preference to prevent deletion of images from camera after
   download
 * Preference to allow preview to continue after image
   capture
 * Continuously monitor for new images on the camera and
   download as they appear.
 * Setup transient window hints to assist window manager in
   handling window placement
 * Delete all website content which is now managed live
 * Skip directories / special files when loading sessions


Release 0.2.0 - "Electron neutrino" - 2010-09-17
------------------------------------------------

 * Better compatibility with cameras not supporting events
 * Ability to unmount camera via GVFS
 * Switch to libpeas for plugins
 * Improved error reporting
 * Fixed inifinite loops in event waiting
 * Improved preview capability
 * Fixed crash with udev


Release 0.1.0 - "Electron" - 2010-04-08
---------------------------------------

 * First release !

-- End of news
